Page MenuHomePhabricator

Fix documentation and snippets for the handle attributes.
ClosedPublic

Authored by paulherman on Aug 22 2021, 2:09 PM.

Details

Diff Detail

Event Timeline

paulherman created this revision.Aug 22 2021, 2:09 PM
paulherman requested review of this revision.Aug 22 2021, 2:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 22 2021, 2:09 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript

Thank you for fixing up the docs! As long as we're here, I suggested some extra documentation wording to make it clear what the argument is and why it's used.

clang/include/clang/Basic/AttrDocs.td
5884–5886
5907–5908
5921–5923

Explaining the tag argument.

paulherman marked 3 inline comments as done.Aug 23 2021, 9:22 AM
aaron.ballman accepted this revision.Aug 23 2021, 11:41 AM

LGTM, thank you!

This revision is now accepted and ready to land.Aug 23 2021, 11:41 AM

Thanks for the very prompt review! I'm afraid I no longer have permissions to submit --my last commit was in 2015 and I recall that I had SVN access, but many things have changed. Would it be possible to submit this on my behalf?

Thanks for the very prompt review! I'm afraid I no longer have permissions to submit --my last commit was in 2015 and I recall that I had SVN access, but many things have changed. Would it be possible to submit this on my behalf?

I'm happy to commit on your behalf -- what name and email address would you like me to use for patch attribution?

Thanks for the very prompt review! I'm afraid I no longer have permissions to submit --my last commit was in 2015 and I recall that I had SVN access, but many things have changed. Would it be possible to submit this on my behalf?

I'm happy to commit on your behalf -- what name and email address would you like me to use for patch attribution?

Thanks a lot! You can use "Paul Herman" as name and paulherman@google.com as email.

aaron.ballman closed this revision.Aug 24 2021, 4:13 AM

Thanks for the very prompt review! I'm afraid I no longer have permissions to submit --my last commit was in 2015 and I recall that I had SVN access, but many things have changed. Would it be possible to submit this on my behalf?

I'm happy to commit on your behalf -- what name and email address would you like me to use for patch attribution?

Thanks a lot! You can use "Paul Herman" as name and paulherman@google.com as email.

Thanks! I've commit on your behalf in f71706046144bd49af397fbed10fbe130433b969.